org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions.ui

## Class SynchronizerDialog

- java.lang.Object
- - org.eclipse.jface.window.Window
  - - org.eclipse.jface.dialogs.Dialog
    - - org.eclipse.jface.dialogs.IconAndMessageDialog
      - - org.eclipse.jface.dialogs.MessageDialog
        - - org.eclipse.jface.dialogs.MessageDialogWithToggle
          - - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.actions.ui.SynchronizerDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class SynchronizerDialog
    extends org.eclipse.jface.dialogs.MessageDialogWithToggle

Dialog used to ask user synchronization behavior.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jface.window.Window

`org.eclipse.jface.window.Window.IExceptionHandler`

### Field Summary

### Fields inherited from class org.eclipse.jface.dialogs.MessageDialogWithToggle

`ALWAYS, NEVER, PROMPT`

### Fields inherited from class org.eclipse.jface.dialogs.MessageDialog

`CONFIRM, ERROR, INFORMATION, NONE, QUESTION, QUESTION_WITH_CANCEL, WARNING`

### Fields inherited from class org.eclipse.jface.dialogs.IconAndMessageDialog

`imageLabel, message, messageLabel`

### Fields inherited from class org.eclipse.jface.dialogs.Dialog

`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, dialogArea, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

### Fields inherited from class org.eclipse.jface.window.Window

`CANCEL, OK, resizeHasOccurred`

### Constructor Summary

Constructors
Constructor and Description
`SynchronizerDialog(org.eclipse.swt.widgets.Shell parentShell, String title, String message, String preferencePageID)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.swt.widgets.Control` `createCustomArea(org.eclipse.swt.widgets.Composite parent)`

### Methods inherited from class org.eclipse.jface.dialogs.MessageDialogWithToggle

`buttonPressed, createButtonsForButtonBar, createDialogArea, createToggleButton, getPrefKey, getPrefStore, getToggleButton, getToggleState, open, open, openError, openInformation, openOkCancelConfirm, openWarning, openYesNoCancelQuestion, openYesNoQuestion, setPrefKey, setPrefStore, setToggleButton, setToggleMessage, setToggleState`

### Methods inherited from class org.eclipse.jface.dialogs.MessageDialog

`configureShell, createButton, customShouldTakeFocus, getButton, getButtonLabels, getDefaultButtonIndex, getImage, getMinimumMessageWidth, handleShellCloseEvent, open, open, open, openConfirm, openError, openInformation, openQuestion, openWarning, setButtonLabels, setButtons`

### Methods inherited from class org.eclipse.jface.dialogs.IconAndMessageDialog

`createButtonBar, createContents, createDialogAndButtonArea, createMessageArea, getErrorImage, getInfoImage, getMessageLabelStyle, getQuestionImage, getWarningImage`

### Methods inherited from class org.eclipse.jface.dialogs.Dialog

`applyDialogFont, cancelPressed, close, convertHeightInCharsToPixels, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, convertWidthInCharsToPixels, create, dialogFontIsDefault, getBlockedHandler, getButtonBar, getCancelButton, getDialogArea, getDialogBoundsSettings, getDialogBoundsStrategy, getImage, getInitialLocation, getInitialSize, getOKButton, initializeBounds, initializeDialogUnits, isResizable, okPressed, setBlockedHandler, setButtonLayoutData, setButtonLayoutFormData, shortenText`

### Methods inherited from class org.eclipse.jface.window.Window

`canHandleShellCloseEvent, constrainShellSize, createShell, getConstrainedShellBounds, getContents, getDefaultImage, getDefaultImages, getDefaultOrientation, getLayout, getParentShell, getReturnCode, getShell, getShellListener, getShellStyle, getWindowManager, handleFontChange, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setParentShell, setReturnCode, setShellStyle, setWindowManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynchronizerDialog

    public SynchronizerDialog(org.eclipse.swt.widgets.Shell parentShell,
                              String title,
                              String message,
                              String preferencePageID)

Constructor.

Parameters:
  `parentShell` - Parent shell
  `title` - Title of the dialog
  `message` - MEssage of the dialog
  `preferencePageID` - Preference page id if the dialog should have a hyperlink to a preference page or `null` otherwise

### Method Detail

#### createCustomArea

    protected org.eclipse.swt.widgets.Control createCustomArea(org.eclipse.swt.widgets.Composite parent)

Overrides:
  `createCustomArea` in class `org.eclipse.jface.dialogs.MessageDialog`